+++ /dev/null
-# Generated by iptables-save v1.3.6 on Mon Oct 8 01:59:16 2007
-*filter
-:INPUT ACCEPT [366:44912]
-:FORWARD ACCEPT [0:0]
-:OUTPUT ACCEPT [292:53151]
--A FORWARD -d 18.181.0.60 -i eth0 -o eth0 -p tcp -m tcp --dport 10003 -j ACCEPT
-COMMIT
-# Completed on Mon Oct 8 01:59:16 2007
-# Generated by iptables-save v1.3.6 on Mon Oct 8 01:59:16 2007
-*nat
-:PREROUTING ACCEPT [5:300]
-:POSTROUTING ACCEPT [8:674]
-:OUTPUT ACCEPT [8:674]
--A PREROUTING -s ! 18.181.0.60 -i eth0 -p tcp -m tcp --dport 10003 -j DNAT --to-destination 18.181.0.60:10003
--A POSTROUTING -d 18.181.0.60 -o eth0 -p tcp -m tcp --dport 10003 -j SNAT --to-source 18.181.0.62
-COMMIT
-# Completed on Mon Oct 8 01:59:16 2007
-sipb-xen-iptables (1) unstable; urgency=low
+sipb-xen-www (1) unstable; urgency=low
* Initial Release.
- -- SIPB Xen Project <sipb-xen@mit.edu> Sun, 25 Feb 2008 00:05:12 -0500
+ -- SIPB Xen Project <sipb-xen@mit.edu> Sun, 28 Mar 2008 22:43:12 -0500
-Source: sipb-xen-iptables
+Source: sipb-xen-www
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), subversion
Standards-Version: 3.7.2
-Package: sipb-xen-iptables
+Package: sipb-xen-www
Architecture: all
-Depends: ${misc:Depends}, iptables
-Description: Configure at boot the iptables rules for the VNC proxy client
+Depends: ${misc:Depends}, python-cheetah, python-simple-json, sipb-xen-database-client, sipb-xen-vnc-client
+Description: Install the sipb-xen-dev website
include /usr/share/cdbs/1/rules/debhelper.mk
-binary-fixup/sipb-xen-iptables::
- svn co https://sipb-xen-dev.mit.edu:1111/trunk/packages/sipb-xen-iptables/code/ $(DEB_DESTDIR)/usr/local/share/sipb-xen-iptables
+binary-fixup/sipb-xen-dhcp::
+ svn co https://sipb-xen-dev.mit.edu:1111/trunk/packages/sipb-xen-www/code/ $(DEB_DESTDIR)/var/www/sipb-xen-www
+++ /dev/null
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides: sipb-xen-iptables
-# Required-Start: $local_fs $remote_fs
-# Required-Stop: $local_fs $remote_fs
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: sipb-xen iptables rules
-# Description:
-### END INIT INFO
-
-# Author: SIPB Xen Project <sipb-xen@mit.edu>
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="Load the sipb-xen iptables rules"
-NAME=sipb-xen-iptables
-RULES=/usr/local/share/sipb-xen-iptables/iptables.rules
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- /sbin/iptables-restore < $RULES
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
- return 0
-}
-
-case "$1" in
- start)
- [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- stop)
- [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- #reload|force-reload)
- #
- # If do_reload() is not implemented then leave this commented out
- # and leave 'force-reload' as an alias for 'restart'.
- #
- #log_daemon_msg "Reloading $DESC" "$NAME"
- #do_reload
- #log_end_msg $?
- #;;
- restart|force-reload)
- #
- # If the "reload" option is implemented then remove the
- # 'force-reload' alias
- #
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- *)
- #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
- exit 3
- ;;
-esac
-
-:
--- /dev/null
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ cd /var/www/sipb-xen-www
+ make clean && make all
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+